html {
    height: 100%;
}

body {
    margin: 0;
    height: 100%;
}


.canvas {
    width: 100%;
    height: calc(100% - 4px);
}

.content {
    flex-direction: column;

    width: 200px;
    display: flex;
    position: absolute;
    right: 10px;
    top: 10px;
}

.button {
    background: white;
    border: 1px solid black;
    padding: 2px 8px;
    height: 24px;
    cursor: pointer;
}

.tools {
    display: none;

    margin-top: 8px;
    background: #fff;
    z-index: 200;
    border: 1px solid black;
    flex-direction: column;
}

.tools--show {
    display: flex;
}

.tools_control {
    padding: 4px;
    flex: 0 0 auto;
}

.tools_control_head {
    text-align: center;
    font-weight: bold;
}

.button_graph {
    width: 100%;
}

.tools_control_items {
    display: flex;
}


.radio_algorythm, .radio_mode {
    position: relative;
    cursor: pointer;
    user-select: none;
    display: block;
    flex: 1 0 50%;
    height: 26px
}

.radio_algorythm_button, .radio_mode_button {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    line-height: 25px;
    text-align: center;
    padding: 0;
}

.radio_algorythm_input:checked ~ .radio_algorythm_button,
.radio_mode_input:checked ~ .radio_mode_button {
    background-color: #2196F3;
    color: #fff;
}

.radio_mods {
    flex-wrap: wrap;
}

.tools__ms {
    padding: 4px;
    text-align: center;
}
